/*
 * Copyright 2011 ssg.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.ssg.tools.jsonxml.json.schema;

/**
 *
 * @author ssg
 */
public enum ATTRIBUTE {

    _type,
    _properties,
    _patternProperties,
    _additionalProperties,
    _items,
    _additionalItems,
    _required,
    _dependencies,
    _minimum,
    _maximum,
    _exclusiveMinimum,
    _exclusiveMaximum,
    _minItems,
    _maxItems,
    _uniqueItems,
    _pattern,
    _minLength,
    _maxLength,
    _enum,
    _default,
    _title,
    _description,
    _format,
    _divisibleBy,
    _disallow,
    _extends,
    _id,
    $ref,
    $schema,
    //////////////
    _links,
    _href,
    _rel,
    _targetSchema,
    _method, _enctype,
    _schema,
    _fragmentResolution,
    _readonly,
    _contentEncoding,
    _pathStart,
    _mediaType
}
