/*
 * Copyright 2011 sesidoro.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * Basic implementations of JSON parsers and formatters.
 * 2 versions are provided:
 * - lite - for simplest possible JSON parsing and Java formatting
 * - full - for most flexible/trackable parsing/formatting.
 * 
 * Additionally Tester implementation for JSON format is provided.
 * Tester probes input to ensure it starts as valid JSON and can verify input fully
 * either syntactically (using lite parser without creation of actual objects) or
 * fully with provided JSON schema utilizing classes from package com.ssg.tools.jsonxml.json.schema.
 * 
 */
package com.ssg.tools.jsonxml.json;
