/*
 * Copyright 2011 ssg.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.ssg.tools.jsonxml.xml;

import com.ssg.tools.jsonxml.common.ParserContext;
import java.util.Locale;

/**
 *
 * @author ssg
 */
public class XMLParserContext extends ParserContext {

    public XMLParserContext() {
    }

    public XMLParserContext(ParserContext context) {
        if (context != null) {
            setStack(context.getStack());
            setPath(context.getPath());
            setFormats(context.getFormats());
        }
    }

    public XMLParserContext(Locale locale) {
    }
    
}
